読者です 読者をやめる 読者になる 読者になる

hachinoBlog

hachinobuのエンジニアライフ

Xcode5.1で今まで使っていたプラグインが使えなくなってしまった場合の対処方法(暫定版)

背景

Xcodeを5.1にしたら便利なプラグインが使えなくなって発狂した。

解決方法

~/Library/Application Support/Developer/Shared/Xcode/Plug-ins/[各プラグインフォルダ]/Contents/Info.plist を開いて DVTPlugInCompatibilityUUIDsキーの値に A2E4D43F-41F4-4FB9-BB94-7177011C9AED を追加してXcodeを再起動。

Info.plist

f:id:hachinobu:20140312102445p:plain

これで私の使用しているプラグイン達は再び動き始めました。

ちなみにA2E4D43F-41F4-4FB9-BB94-7177011C9AED という値はXcode5.1のDVTPlugInCompatibilityUUIDのこと。

どうやらXcode5.1でDVTPlugInCompatibilityUUIDに変更があったようです。

XcodeのDVTPlugInCompatibilityUUIDは

open /Applications/Xcode.app/Contents/Info.plist

で確認できます。

参考文献

stackoverflow